import { BaseProvider } from '#templates/base/provider';
import { BillItem } from '#models/BillItem';

export class BillItemProvider extends BaseProvider<BillItem> {
	public static instance: BillItemProvider;

	public static getInstance(): BillItemProvider {
		BillItemProvider.instance ??= new BillItemProvider();
		return BillItemProvider.instance;
	}

	public static get model() {
		return BillItem;
	}

	constructor() {
		super('BillItem');
	}
}
